import QtQuick 2.0
import "Theme.js" as Theme


Rectangle {
    id: dialogInput
    anchors.left: parent.left;
    anchors.right: parent.right;
    anchors.margins: Theme.margin
    height: Theme.primary_pixelSize + Theme.margin;

    property string placeholderText
    property alias text: textInput.text;
    property alias validator: textInput.validator;
    property alias inputMethodHints: textInput.inputMethodHints;

    signal accepted();

    color: Theme.background_color
    //        border.color: Theme.header_color
    //        border.width: 1;

    TextInput {
        id: textInput
        anchors.left: parent.left;
        anchors.right: parent.right;
        anchors.margins: Theme.marginSmall
        anchors.verticalCenter: parent.verticalCenter
        font.pixelSize: Theme.primary_pixelSize;
        color: Theme.primary_color
        inputMethodHints: Qt.ImhNoPredictiveText
        onAccepted: {
            dialogInput.accepted();
        }

    }
    Text {
        text: (textInput.text === "" && !textInput.focus) ? placeholderText : ""
        anchors.left: parent.left;
        anchors.right: parent.right;
        anchors.margins: Theme.marginSmall
        anchors.verticalCenter: parent.verticalCenter
        font.pixelSize: Theme.primary_pixelSize;
        color: Theme.tertiary_color

    }

    function forceActiveFocus() {
        textInput.forceActiveFocus();
    }

}
