import QtQuick.Controls 1.2
import QtQuick 2.3
import cz.mlich 1.0
import "Theme.js" as Theme

Rectangle {
    id: imageButton
    property string name;
    property bool secondImage: (toggleButton && checked) || (!toggleButton && mouse.pressed);
    property bool toggleButton: true;
    property bool checked: false;

    property ExclusiveGroup exclusiveGroup: null

    signal clicked();

    color: secondImage ? Theme.background_color_pressed : Theme.background_color
    width: Theme.image_button_width;
    height: Theme.image_button_height;

    onExclusiveGroupChanged: {
        if (exclusiveGroup)
            exclusiveGroup.bindCheckable(imageButton)
    }

//    Text {
//        anchors.centerIn: parent;
//        text: parent.name;
//        visible: (image.status !== Image.Ready)
//        color: secondImage ? Theme.secondary_color : Theme.primary_color
//        font.pixelSize: Theme.primary_pixelSize
//        font.weight: Font.Bold;
//    }

    Image {
        id: image
        anchors.fill: parent;
        source: (imageButton.name !== "") ? (secondImage ? "./data/"+imageButton.name+"-pressed.png" : "./data/"+imageButton.name+".png") : ""
    }


    MouseArea {
        id: mouse
        anchors.fill: parent;
        onClicked: {
            imageButton.clicked();
            if (imageButton.toggleButton) {
                imageButton.checked = !imageButton.checked;
            }
        }
    }


}
