import QtQuick 2.2
import "Theme.js" as Theme

Rectangle {

    property real direction: 0
    property real speed: 0
    property real altitude: 0

    property alias warningText: warningTextItem.text

    color: Theme.info_panel_background_color;

    Row {
        anchors.left: parent.left
        anchors.verticalCenter: parent.verticalCenter
        anchors.margins: Theme.margin
        spacing: Theme.margin
        Text {
            //% "Speed %1"
            text: "Rychlost "+(speed*3.6).toFixed(0)+" km/h";
            color: Theme.info_panel_text_color
            font.pixelSize: Theme.info_panel_font_pixelSize;
        }
        Text {
            //% "Direction %1"
            text: "Směr "+ direction.toFixed(0) +"°";
            color: Theme.info_panel_text_color
            font.pixelSize: Theme.info_panel_font_pixelSize;
        }

        Text {
            //% "Altitude %1"
            text: "Výška " + (altitude * 3.28084).toFixed(0) + " ft"
            color: Theme.info_panel_text_color
            font.pixelSize: Theme.info_panel_font_pixelSize;
        }
    }

    Text {
        id: warningTextItem;
        anchors.right: parent.right
        anchors.rightMargin: Theme.margin
        anchors.verticalCenter: parent.verticalCenter
        color: Theme.info_panel_text_color
        font.pixelSize: Theme.info_panel_font_pixelSize;

    }
}
