import QtQuick.Controls 1.2
import QtQuick 2.3
import "Theme.js" as Theme

Rectangle {
    id: settingsDialog;
    color: Theme.background_color;
    clip: true;

    signal reloadNotams();

    property alias regionsModel: maps.regionsModel
    property alias rotationEnabled: base.rotationEnabled;
    property alias timestampBeginPosition: base.timestampBeginPosition
    property alias timestampEndPosition: base.timestampEndPosition

    onVisibleChanged: {
        pageStack.pop(base);
    }


    StackView {
        id: pageStack;
        initialItem: base;
    }

    SettingsBase {

        id: base;
        onShowMapsPage: {
            pageStack.push(maps)
        }
        onReloadNotams: {
            settingsDialog.reloadNotams();
        }

    }

    SettingsMaps {
        id: maps;

        onBackClicked: {
            pageStack.pop();
        }

    }



}
