#include <QApplication>
#include <QQmlApplicationEngine>
#include <QtQml>
#include <QQuickWindow>
#include <QQuickView>
#include <QQuickItem>

#include "networkaccessmanagerfactory.h"
#include "filereader.h"
#include "downloader.h"

#define APP_VERSION 0.1

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    qmlRegisterType<FileReader>("cz.mlich", 1, 0, "FileReader");
    qmlRegisterType<Downloader>("cz.mlich", 1, 0, "Downloader");


    QQmlApplicationEngine engine;

    NetworkAccessManagerFactory namFactory;
    engine.setNetworkAccessManagerFactory(&namFactory);
//    engine.rootContext()->setContextProperty("MAP_LOCAL_STORAGE", "file://" +QStandardPaths::writableLocation(QStandardPaths::DataLocation) +"/Maps/ICAO/%(zoom)d/%(x)d/%(y)d.png");
    engine.rootContext()->setContextProperty("MAP_LOCAL_STORAGE", "file://" +QStandardPaths::writableLocation(QStandardPaths::DataLocation) +"/Maps/OSM/%(zoom)d/%(x)d/%(y)d.png");
    engine.rootContext()->setContextProperty("MAP_REMOTE_URL", "http://a.tile.openstreetmap.org/%(zoom)d/%(x)d/%(y)d.png");
    engine.rootContext()->setContextProperty("BUILDTIMESTAMP",  __TIMESTAMP__ );
    engine.rootContext()->setContextProperty("APP_VERSION",  APP_VERSION);


    engine.load(QUrl(QStringLiteral("qrc:///main.qml")));


    QObject *topLevel = engine.rootObjects().value(0);
    QQuickWindow *window = qobject_cast<QQuickWindow *>(topLevel);

    window->setIcon(QIcon(":/data/logo.png"));
    window->show();
//    window->showFullScreen();


    return app.exec();
}
